GDB (xrefs)

Macros
diagnostics.h File Reference
`#include "common/preprocessor.h"`

Go to the source code of this file.

## Macros
#define | DIAGNOSTIC_PUSH
#define | DIAGNOSTIC_POP
#define | DIAGNOSTIC_IGNORE(option)
#define | DIAGNOSTIC_IGNORE_SELF_MOVE
#define | DIAGNOSTIC_IGNORE_DEPRECATED_REGISTER
#define | DIAGNOSTIC_IGNORE_UNUSED_FUNCTION
#define | DIAGNOSTIC_IGNORE_SWITCH_DIFFERENT_ENUM_TYPES

## Macro Definition Documentation

## ◆ DIAGNOSTIC_IGNORE

#define DIAGNOSTIC_IGNORE | ( |  | option | ) |

Definition at line 31 of file diagnostics.h.

## ◆ DIAGNOSTIC_IGNORE_DEPRECATED_REGISTER

#define DIAGNOSTIC_IGNORE_DEPRECATED_REGISTER

Definition at line 58 of file diagnostics.h.

## ◆ DIAGNOSTIC_IGNORE_SELF_MOVE

#define DIAGNOSTIC_IGNORE_SELF_MOVE

Definition at line 57 of file diagnostics.h.

Referenced by selftests::gdb_environ_tests::test_self_move().

## ◆ DIAGNOSTIC_IGNORE_SWITCH_DIFFERENT_ENUM_TYPES

#define DIAGNOSTIC_IGNORE_SWITCH_DIFFERENT_ENUM_TYPES

Definition at line 60 of file diagnostics.h.

Referenced by amd64_canonicalize_syscall(), dwarf_decode_macro_bytes(), and dwarf_decode_macros().

## ◆ DIAGNOSTIC_IGNORE_UNUSED_FUNCTION

#define DIAGNOSTIC_IGNORE_UNUSED_FUNCTION

Definition at line 59 of file diagnostics.h.

## ◆ DIAGNOSTIC_POP

#define DIAGNOSTIC_POP

Definition at line 30 of file diagnostics.h.

Referenced by amd64_canonicalize_syscall(), dwarf_decode_macro_bytes(), dwarf_decode_macros(), and selftests::gdb_environ_tests::test_self_move().

## ◆ DIAGNOSTIC_PUSH

#define DIAGNOSTIC_PUSH

Definition at line 29 of file diagnostics.h.

Referenced by amd64_canonicalize_syscall(), dwarf_decode_macro_bytes(), dwarf_decode_macros(), and selftests::gdb_environ_tests::test_self_move().